Bug 1528565 (CVE-2017-17485) - CVE-2017-17485 jackson-databind: Unsafe deserialization due to incomplete black list (incomplete fix for CVE-2017-15095)
Summary: CVE-2017-17485 jackson-databind: Unsafe deserialization due to incomplete bla...
Status: NEW
Alias: CVE-2017-17485
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20171212,repo...
Keywords: Security
Depends On: 1530463 1530464 1530471 1530472 1530473 1530474 1534307 1537880 1585895
Blocks: 1523223
TreeView+ depends on / blocked
 
Reported: 2017-12-22 07:14 UTC by Jason Shepherd
Modified: 2018-11-09 22:34 UTC (History)
95 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A deserialization flaw was discovered in the jackson-databind which could allow an unauthenticated user to perform code execution by sending maliciously crafted input to the readValue method of ObjectMapper. This issue extends upon the previous flaws CVE-2017-7525 and CVE-2017-15095 by blacklisting more classes that could be used maliciously.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0116 normal SHIPPED_LIVE Important: rh-eclipse46-jackson-databind security update 2018-01-23 10:51:57 UTC
Red Hat Product Errata RHSA-2018:0342 normal SHIPPED_LIVE Important: rh-maven35-jackson-databind security update 2018-02-22 14:21:40 UTC
Red Hat Product Errata RHSA-2018:0478 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 7.1.1 security update 2018-03-12 20:37:39 UTC
Red Hat Product Errata RHSA-2018:0479 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 7.1.1 on RHEL 6 2018-03-12 21:04:50 UTC
Red Hat Product Errata RHSA-2018:0480 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 7.1.1 for RHEL 7 2018-03-12 21:03:31 UTC
Red Hat Product Errata RHSA-2018:0481 normal SHIPPED_LIVE Important: jboss-ec2-eap package for EAP 7.1.1 2018-03-12 21:31:33 UTC
Red Hat Product Errata RHSA-2018:1447 None None None 2018-05-14 20:16 UTC
Red Hat Product Errata RHSA-2018:1448 None None None 2018-05-14 20:35 UTC
Red Hat Product Errata RHSA-2018:1449 None None None 2018-05-14 20:39 UTC
Red Hat Product Errata RHSA-2018:1450 None None None 2018-05-14 20:43 UTC
Red Hat Product Errata RHSA-2018:1451 None None None 2018-05-14 20:51 UTC
Red Hat Product Errata RHSA-2018:2930 None None None 2018-10-16 17:06 UTC

Description Jason Shepherd 2017-12-22 07:14:56 UTC
An unsafe deserialization vulnerability was found due to incomplete blacklisting of the unsafe classes. This issue is incomplete fix for CVE-2017-7525 and CVE-2017-15095 and is specific to certain Red Hat packages.

Comment 7 Doran Moppert 2018-01-03 05:58:25 UTC
Created jackson-databind tracking bugs for this issue:

Affects: fedora-all [bug 1530463]

Comment 11 Jason Shepherd 2018-01-08 00:30:11 UTC
Acknowledgements:

Name: 0c0c0f from 360观星实验室

Comment 14 errata-xmlrpc 2018-01-23 05:52:21 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0116 https://access.redhat.com/errata/RHSA-2018:0116

Comment 16 errata-xmlrpc 2018-02-22 09:22:08 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS

Via RHSA-2018:0342 https://access.redhat.com/errata/RHSA-2018:0342

Comment 17 errata-xmlrpc 2018-03-12 16:40:14 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:0478 https://access.redhat.com/errata/RHSA-2018:0478

Comment 18 errata-xmlrpc 2018-03-12 17:00:32 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7

Via RHSA-2018:0480 https://access.redhat.com/errata/RHSA-2018:0480

Comment 19 errata-xmlrpc 2018-03-12 17:03:22 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2018:0479 https://access.redhat.com/errata/RHSA-2018:0479

Comment 20 errata-xmlrpc 2018-03-12 17:23:39 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7
  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2018:0481 https://access.redhat.com/errata/RHSA-2018:0481

Comment 22 errata-xmlrpc 2018-05-14 20:16:07 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:1447 https://access.redhat.com/errata/RHSA-2018:1447

Comment 23 errata-xmlrpc 2018-05-14 20:34:52 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 7

Via RHSA-2018:1448 https://access.redhat.com/errata/RHSA-2018:1448

Comment 24 errata-xmlrpc 2018-05-14 20:38:53 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 6

Via RHSA-2018:1449 https://access.redhat.com/errata/RHSA-2018:1449

Comment 25 errata-xmlrpc 2018-05-14 20:42:43 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 5

Via RHSA-2018:1450 https://access.redhat.com/errata/RHSA-2018:1450

Comment 26 errata-xmlrpc 2018-05-14 20:50:53 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 6

Via RHSA-2018:1451 https://access.redhat.com/errata/RHSA-2018:1451

Comment 28 Bharti Kundal 2018-05-16 04:00:43 UTC
EAP 6.4 uses whitelist approach which enables to enlist classes with the use of the system property. Please see the following article for details:

https://access.redhat.com/solutions/3442891

Comment 29 Martin Prpič 2018-05-16 07:33:34 UTC
External References:

https://access.redhat.com/solutions/3442891

Comment 32 errata-xmlrpc 2018-10-16 17:05:52 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Operations Network

Via RHSA-2018:2930 https://access.redhat.com/errata/RHSA-2018:2930


Note You need to log in before you can comment on or make changes to this bug.